MONGOC_CURSOR_GET_BATCH_SIZE(3)

NAME
mongoc_cursor_get_batch_size - mongoc_cursor_get_batch_size()

SYNOPSIS

uint32_t
mongoc_cursor_get_batch_size (const mongoc_cursor_t *cursor);

PARAMETERS

•   cursor: A mongoc_cursor_t.

DESCRIPTION

Retrieve the cursor's batch size, the maximum number of documents returned per round trip to the server. A batch size of zero means the cursor accepts the server's maximum batch size.

See Cursor Batches in the MongoDB Manual.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc